LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
CoordinateSystemType Service Reference

`import"CoordinateSystemType.idl";`

## Detailed Description

The service CoordinateSystemType represents a special type of coordinate system. For example a 2 dimensional Cartesian coordinate system is a CoordinateSystemType and different from for example a 3 dimensional spherical coordinate system.

A CoordinateSystemType is a stateless service which has no owner and does not enable cyclic references, thus it's lifetime can be handled by reference or it may be implemented as a singleton.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/CoordinateSystemType.idl